사용자

사용자에 대한 REST API 작업

개요

다음 API 작업을 사용하여 상호작용하세요 사용자 Panther에서.

API를 호출하려면, Panther REST API 사용 방법 지침을 참조하세요— 이 문서 페이지에서 직접 호출하는 방법에 대한 지침을 포함합니다.

필요 권한

  • 에 대해 GET 작업의 경우, API 토큰에는 Read User Info 권한이 있어야 합니다.

  • 에 대해 POSTDELETE 작업의 경우, API 토큰에는 Manage Users 권한이 있어야 합니다.

작업

Create a user

post
Authorizations
X-API-KeystringRequired
Body
emailstringRequired

The email address of the user

familyNamestringRequired

The family/last name of the user

givenNamestringRequired

The given/first name of the user

Responses
chevron-right
200

OK response.

application/json
createdAtstringOptional
emailstringRequired

The email address of the user

enabledbooleanRequired

Whether the user is active or deactivated

familyNamestringRequired

The family/last name of the user

givenNamestringRequired

The given/first name of the user

idstringOptional

ID of the user

lastLoggedInAtstringOptional
statusstringOptional

The Cognito auth-related status of this User

post
/users

Get a user

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the user

Responses
chevron-right
200

OK response.

application/json
createdAtstringOptional
emailstringRequired

The email address of the user

enabledbooleanRequired

Whether the user is active or deactivated

familyNamestringRequired

The family/last name of the user

givenNamestringRequired

The given/first name of the user

idstringOptional

ID of the user

lastLoggedInAtstringOptional
statusstringOptional

The Cognito auth-related status of this User

get
/users/{id}

Update a user

post
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the user

Body
emailstringRequired

The email address of the user

familyNamestringRequired

The family/last name of the user

givenNamestringRequired

The given/first name of the user

Responses
chevron-right
200

OK response.

application/json
createdAtstringOptional
emailstringRequired

The email address of the user

enabledbooleanRequired

Whether the user is active or deactivated

familyNamestringRequired

The family/last name of the user

givenNamestringRequired

The given/first name of the user

idstringOptional

ID of the user

lastLoggedInAtstringOptional
statusstringOptional

The Cognito auth-related status of this User

post
/users/{id}

Delete a user

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the user

Responses
chevron-right
200

OK response.

No content

delete
/users/{id}

No content

List users

get
Authorizations
X-API-KeystringRequired
Query parameters
cursorstringOptional

Pagination token

limitinteger · int64 · min: 1 · max: 60Optional

Maximum number of results to return

Default: 60
containsstringOptional

Search name and email fields in a case-insensitive fashion

emailstringOptional

An exact match of a user's email to return. If provided all other parameters are ignored

idstring[]Optional

Set of IDS to return

idsstringOptional

A comma delimited list of IDs

include-deactivatedbooleanOptional

Include deactivated users

statusstringOptional

Show only users with this Cognito status

Responses
chevron-right
200

OK response.

application/json
nextstringOptional

Pagination token for the next page of results

get
/users
200

OK response.

마지막 업데이트

도움이 되었나요?